/* Estilo general del formulario */
form {
    box-sizing: border-box;
    width:calc(100% - 18px);
    max-width: 500px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f4f4f4;
    border-radius: 9px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);

}

/* Estilos generales para etiquetas de texto */
label {
    display: block;
    margin-bottom: 9px;
    color: #333;
}

/* Estilos para los inputs de texto y correo */
input[type="text"],
input[type="email"],
input[type="password"],
textarea {
    width: 100%;
    padding: 9px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    color: #333;
    box-sizing: border-box;
}

/* Estilo para el input tipo número */
input[type="number"] {
    width: 100%;
    padding: 9px;
    margin-bottom: 19px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1em;
    color: #333;
    box-sizing: border-box;
}

/* Estilo para select */
select {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    color: #333;
    box-sizing: border-box;
    background-color: #fff;
}

/* Estilos para los botones */
button,
input[type="submit"] {
    width: 100%;
    padding: 12px;
    background-color: #e3423480;;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover,
input[type="submit"]:hover {
    background-color: #e34234;
}

/* Estilos para los checkbox y radio */
input[type="checkbox"],
input[type="radio"] {
    margin-right: 10px;
}

/* Agrupar los checkbox y radio en filas */
.checkbox-group,
.radio-group {
    margin-bottom: 15px;
}

/* Estilo para los mensajes de error o advertencia */
.error-message {
    color: #e34234;
    font-size: 14px;
    margin-top: -10px;
    margin-bottom: 10px;
}

/* Estilo para textarea */
textarea {
    height: 100px;
}

/* Estilo para fieldset */
fieldset {
    border: 1px solid #ccc;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 5px;
}

/* Estilo para legend */
legend {
    font-weight: bold;
    color: #333;
}
